#pragma once

#include <map>
#include "Library.h"


struct Record;


class File
{
private:
	std::string filename;
	std::map<int, Record> fileMap;
	void createMap(std::map<int, Record>&); //creates copy of map for deleting and replacing records

public:
	File(const std::string& filename_copy) : filename(filename_copy){}
	void addData(); //Adding records into file
	void delRec(); //Deleting records from file
	void replaceRec(); //Replacing records in file
	void toTxt(); //Creates text file based on binary

	std::vector<Record> findTicketNum(int); //Searches records with given ticket number
	std::vector<Record> findAuthor(const std::string&); //Searches records with given author surname
	std::vector<Record> findDistributer(const std::string&); //Searches records with given distributer name
	std::vector<Record> findAfterDateBooks(); //Searches records with expirationed books
};

